aboutsummaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
authorPatrick Spek <p.spek@tyil.nl>2020-07-27 23:23:41 +0200
committerPatrick Spek <p.spek@tyil.nl>2020-11-20 20:42:32 +0100
commit962db0ea9e248e01d46f6ae58d4dfc621b7d5a96 (patch)
tree8bf43b0ec7a0d2b094b2db607f419b1716f77871 /lib
parent05efd6e6854009533faeecbf590190470f04441b (diff)
Remove --strip-components from tar during fetch
--strip-components is only available in GNU tar, making it unreliable in OpenBSD environments.
Diffstat (limited to 'lib')
-rw-r--r--lib/actions/fetch.bash2
-rw-r--r--lib/actions/install.bash6
2 files changed, 4 insertions, 4 deletions
diff --git a/lib/actions/fetch.bash b/lib/actions/fetch.bash
index 4c95b0a..361d46e 100644
--- a/lib/actions/fetch.bash
+++ b/lib/actions/fetch.bash
@@ -50,7 +50,7 @@ download_core() {
mkdir -p -- "$destination"
tarball="$(fetch_http "$source")" \
- && tar xzf "$tarball" -C "$destination" --strip-components=1 \
+ && tar xzf "$tarball" -C "$destination" \
&& return
crit "Failed to download $destination"
diff --git a/lib/actions/install.bash b/lib/actions/install.bash
index 1889657..2febdd5 100644
--- a/lib/actions/install.bash
+++ b/lib/actions/install.bash
@@ -139,7 +139,7 @@ action_install_modules() {
build_moarvm() {
info "Starting build on MoarVM"
- build_prepare "$BASEDIR/src/moarvm-$VERSION" || return
+ build_prepare "$BASEDIR/src/moarvm-$VERSION/MoarVM-$VERSION" || return
perl Configure.pl \
"$@" \
&& make \
@@ -150,7 +150,7 @@ build_moarvm() {
build_nqp() {
info "Starting build on NQP"
- build_prepare "$BASEDIR/src/nqp-$VERSION" || return
+ build_prepare "$BASEDIR/src/nqp-$VERSION/nqp-$VERSION" || return
perl Configure.pl \
--backend="$RSTAR_BACKEND" \
"$@" \
@@ -162,7 +162,7 @@ build_nqp() {
build_rakudo() {
info "Starting build on Rakudo"
- build_prepare "$BASEDIR/src/rakudo-$VERSION" || return
+ build_prepare "$BASEDIR/src/rakudo-$VERSION/rakudo-$VERSION" || return
perl Configure.pl \
--backend="$RSTAR_BACKEND" \
"$@" \